'use strict';

var lastPage = "/";

var onLoad = {
	beforeUpdate: function beforeUpdate() {
		// Main.runAnimations();
	},
	updated: function updated() {
		Main.runAnimations();
		Main.runPowCards();
	}
};

window.addEventListener('resize', function () {
	Main.runAnimations();
});

var routes = [{ path: '/', component: PageHome }, { path: '/games', component: PageGamesOne }, { path: '/about/ko', component: PageAboutKO }, { path: '/about/enid', component: PageAboutEnid }, { path: '/about/radicles', component: PageAboutRadicles }, { path: '/video', component: PageVideo }, { path: '/news', component: PageNews }, { path: '/menu', component: PageMenu, props: function props(route) {
		return { toPage: lastPage };
	} }];

var router = new VueRouter({
	routes: routes
});

router.beforeEach(function (to, from, next) {
	if (to.path.indexOf("games") !== -1 && from.path.indexOf("games") !== -1) {
		next();
		return;
	}

	lastPage = from.path;
	Main.transition(function () {
		next();
	});
});

var app = new Vue({ mixins: [onLoad],
	data: { loadComplete: false,
		pageWidth: false,
		percentage: 0,
		hasGame: false,
		gameSelected: -1,
		games: [{ title: "Teamster Strike", desc: "Use Teamster's crazy construction skills to keep an army of robots away from Gar's Bodega in this fast-paced lane defense game.", path: "teamsterstrike" }, { title: "OK K.O. Go", desc: "Keep the Bodega tidy by mopping up slime trails without disturbing Joff the Shaolin Monk.", path: "okkogo" }, { title: "Hop Cuppa Joe", desc: "Take to the stage as Joe Cuppa and try to do your stand-up comedy while handing out sick burns to any hecklers who dare to ruin your act.", path: "cuppajoe" }, { title: "Super DMV Apocalypse", desc: "Use Punching Judy's awkward yet powerful boxing glove hands to help her customers at the DMV. Punch those registration forms into submission!", path: "superdmv" }]
	},
	router: router
}).$mount('#app');

appCN_1248 = app;